# Contributing
We welcome volunteers to contribute to the Wikipedia iOS app codebase.

## Development instructions
Before developing, please read the [setup instructions](README.md).

Once your contributions are ready for review, add yourself in alphabetical order under contributors in `Code/AboutViewController.plist` and post a pull request on GitHub. One of the maintainers will review the PR. Thanks for contributing! 🎉

## What can I work on?
If you're looking for easy work, look at the tasks marked with the "good first bug" tag. [This link](https://phabricator.wikimedia.org/project/board/782/query/7vYTqNgpvqjh/) will show you all the "good first bug" tasks in the iOS backlog.

If you're ready to pick up more difficult work, look at the iOS backlog and pick something from the Bug Backlog column. [This link](https://phabricator.wikimedia.org/project/board/782/) will show you all the tasks in the iOS backlog. If the status of the task is unclear or you need more information, feel free to leave a comment and we'll try to respond as soon as possible.

## I found my task. What next?
Now you want to let the team know what you're working on.

1. In Phabricator, assign the task to yourself.
2. Add the tag representing the current release to the task. [This link](https://phabricator.wikimedia.org/search/query/WlSMhOAWTG73/) will take you to currently open releases. Tagging your task with the name of the release will add it to the release board.
3. On the release board, move the task to the "Doing" column.
4. When you're done developing, move the task to the "Needs Code Review" column.

## I don't want to work on my task any more.
You can let us know by unassigning the task and moving it back to the "Tasks from Product Backlog" column.

## How will I know that my contribution was accepted?
Your PR will be merged and your task will get moved to the "Ready for PM Signoff" column. This means that your contribution will be included in the upcoming release.

## Tips
[Wiki on how to use Phabricator](https://www.mediawiki.org/wiki/Phabricator/Project_management)



